package com.ssj.service.kmt.correctsys.dto;

import java.io.Serializable;

/**
 * @author Mount Liu
 * @date 2019/5/20
 */
public class MonitorTeacherDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 老师id
     */
    private String teacherId;
    /**
     * 头像
     */
    private String imgUrl;
    /**
     * 姓名
     */
    private String name;
    /**
     * 等待作业数
     */
    private String waitCount;
    /**
     * 作业最长等待时长
     */
    private String maxWaitTime;
    /**
     * 累计批改时间
     */
    private String totalCorrectTime;
    /**
     * 响应速度
     */
    private String respSpeed;
    /**
     * 状态(1:在线;2:离线;3:已封号)
     */
    private int status;
    /**
     * 封号时间
     */
    private String bannedTime;
    /**
     * 角色(8：在线批改老师，11：校区群管理员)
     */
    private int role;
    /**
     * 注销时间
     */
    private String cancelledTime;

    public String getCancelledTime() {
        return cancelledTime;
    }

    public void setCancelledTime(String cancelledTime) {
        this.cancelledTime = cancelledTime;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getWaitCount() {
        return waitCount;
    }

    public void setWaitCount(String waitCount) {
        this.waitCount = waitCount;
    }

    public String getMaxWaitTime() {
        return maxWaitTime;
    }

    public void setMaxWaitTime(String maxWaitTime) {
        this.maxWaitTime = maxWaitTime;
    }

    public String getTotalCorrectTime() {
        return totalCorrectTime;
    }

    public void setTotalCorrectTime(String totalCorrectTime) {
        this.totalCorrectTime = totalCorrectTime;
    }

    public String getRespSpeed() {
        return respSpeed;
    }

    public void setRespSpeed(String respSpeed) {
        this.respSpeed = respSpeed;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getBannedTime() {
        return bannedTime;
    }

    public void setBannedTime(String bannedTime) {
        this.bannedTime = bannedTime;
    }

    public int getRole() {
        return role;
    }

    public void setRole(int role) {
        this.role = role;
    }
}
